Subject: bug#55645: src/print.c; print_object changes make it impossible to compare elisp code across versions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 29 May 2022 15:15:38 +0200

Tom Gillespie <[email-masked]> writes:

> Ah I think I know what is missing here. I'm not trying to compare arbitrary
> elisp objects. I'm explicitly only trying to compare literal emacs lisp source
> code and that has been extremely easy since at least emacs 24 (iirc it is
> also the same in 23). The only issue I have encountered was a change in
> iirc 27 of the default value for print-escape-newlines or something like that.

I'm just not convinced that there's a compelling use case here that
would support the added maintenance burden of adding Yet Another
Printing Variable here -- you're using prin1 to implement something that
prin1 was never meant to support.  If you want to see whether some code
is "the same", then I think you really have to read the forms in and
compare the forms.

But perhaps Eli has an opinion; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no